using Microsoft.Extensions.Hosting;

namespace Femto.Modules.Auth.Application;

public class AuthApplication(IHost host) : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        await host.RunAsync(stoppingToken);
    }
}